## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanObjectCache Template Class Reference

`#include <XalanObjectCache.hpp>`

Inheritance diagram for XalanObjectCache

Collaboration diagram for XalanObjectCache:

List of all members.

## Public Types

- typedef std::vector<ObjectType*> VectorType
- typedef ObjectType CacheObjectType

## Public Methods

- XalanObjectCache (unsigned int initialListSize = 0)
- ~XalanObjectCache ()
- ObjectType* get ()
- bool release (ObjectType* theInstance)
- void reset ()

## Public Attributes

- CreateFunctorType m_createFunctor
- DeleteFunctorType m_deleteFunctor
- ResetFunctorType m_resetFunctor

## Member Typedef Documentation

template<classObjectType, classCreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, classDeleteFunctorType = DeleteFunctor<ObjectType>, classResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
typedef ObjectType XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::CacheObjectType

template<classObjectType, classCreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, classDeleteFunctorType = DeleteFunctor<ObjectType>, classResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
typedef std::vector<ObjectType*> XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::VectorType

## Constructor & Destructor Documentation

template<classObjectType, classCreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, classDeleteFunctorType = DeleteFunctor<ObjectType>, classResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType> ( | unsigned int initialListSize = 0 )`[explicit]`

template<classObjectType, classCreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, classDeleteFunctorType = DeleteFunctor<ObjectType>, classResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::~XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType> ( | )`[]`

## Member Function Documentation

template<classObjectType, classCreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, classDeleteFunctorType = DeleteFunctor<ObjectType>, classResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
ObjectType * XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::get ( | )`[]`

template<classObjectType, classCreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, classDeleteFunctorType = DeleteFunctor<ObjectType>, classResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
bool XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::release ( | ObjectType * theInstance )`[]`

template<classObjectType, classCreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, classDeleteFunctorType = DeleteFunctor<ObjectType>, classResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
void XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::reset ( | )`[]`

## Member Data Documentation

template<classObjectType, classCreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, classDeleteFunctorType = DeleteFunctor<ObjectType>, classResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
CreateFunctorType XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::m_createFunctor

template<classObjectType, classCreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, classDeleteFunctorType = DeleteFunctor<ObjectType>, classResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
DeleteFunctorType XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::m_deleteFunctor

template<classObjectType, classCreateFunctorType = DefaultCacheCreateFunctor<ObjectType>, classDeleteFunctorType = DeleteFunctor<ObjectType>, classResetFunctorType = DefaultCacheResetFunctor<ObjectType>>
ResetFunctorType XalanObjectCache<ObjectType, CreateFunctorType, DeleteFunctorType, ResetFunctorType>::m_resetFunctor

The documentation for this class was generated from the following file:

- XalanObjectCache.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.